<?php

namespace Planaday\Utility\FormBuilder\LayoutItems;

use Planaday\Utility\FormBuilder\LayoutItem;

class SubmitButton implements LayoutItem {
	use BasicLayoutItem;

	public function __construct(
		protected string $text
	) {}

	public function getText(): string {
		return $this->text;
	}

	public function getImplJson(): array {
		return [
			"type" => 'submitButton',
			"text" => $this->text
		];
	}
}